Uses of Package
org.apache.juneau.marshall.urlencoding
Packages that use org.apache.juneau.marshall.urlencoding
Package
Description
Marshallers
URL-Encoding Marshalling Support
REST Client API
-
Classes in org.apache.juneau.marshall.urlencoding used by org.apache.juneau.marshall.marshallerClassDescriptionParses URL-encoded text into POJO models.Serializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).
-
Classes in org.apache.juneau.marshall.urlencoding used by org.apache.juneau.marshall.urlencodingClassDescriptionAnnotation that can be applied to classes, fields, and methods to tweak how they are handled by
UrlEncodingSerializerandUrlEncodingParser.Builder class.Dynamically applies a@UrlEncodingannotation to specified classes, methods, or fields.Builder class.Metadata on bean properties specific to the URL-Encoding serializers and parsers pulled from the@UrlEncodingannotation on the bean property.Metadata on classes specific to the URL-Encoding serializers and parsers pulled from the@UrlEncodingannotation on the class.Annotation for specifying config properties defined inUrlEncodingSerializerandUrlEncodingParser.Interface for providing access toUrlEncodingClassMetaandUrlEncodingBeanPropertyMetaobjects.Parses URL-encoded text into POJO models.Builder class.Session object that lives for the duration of a single use ofUrlEncodingParser.Builder class.Serializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).Builder class.Session object that lives for the duration of a single use ofUrlEncodingSerializer.Builder class. -
Classes in org.apache.juneau.marshall.urlencoding used by org.apache.juneau.rest.client.classicClassDescriptionSerializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).Builder class.